package com.lightinit.hsdatashow.model.admin;

import com.lightinit.hsdatashow.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Size;

public class UserAddModel {

    @NotEmpty
    @FieldDescriber(descripton = "用户账号")
    private String username ;

    @NotEmpty
    @FieldDescriber(descripton = "用户全称")
    private String showname ;

    @NotBlank(message = "不为空")
    @Size(min = 6, max = 12, message = "长度要6~12之间")
    @FieldDescriber(descripton = "密码")
    private String password ;

    private String salt ;

    private Integer accountlock;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getShowname() {
        return showname;
    }

    public void setShowname(String showname) {
        this.showname = showname;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public Integer getAccountlock() {
        return accountlock;
    }

    public void setAccountlock(Integer accountlock) {
        this.accountlock = accountlock;
    }
}
